# Toggle typing status

URL: https://www.inclamo.com/docs/api/client/conversations-api/toggle-typing-status

> Toggles the typing status in a conversation

## POST /public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/toggle_typing

Toggle typing status

Toggles the typing status in a conversation

Base URL: https://helpdesk.inclamo.com

### Parameters

- `inbox_identifier` (path, required, string): The identifier obtained from API inbox channel
- `contact_identifier` (path, required, string): The source id of contact obtained on contact create
- `conversation_id` (path, required, integer): The numeric ID of the conversation
- `typing_status` (query, required, string): Typing status, either 'on' or 'off'

### Request body

`application/json` (required)

```json

{
  "type": "object",
  "properties": {
    "typing_status": {
      "type": "string",
      "enum": [
        "on",
        "off"
      ],
      "description": "The typing status to set",
      "example": "on"
    }
  }
}

```

### Responses

- 200: Typing status toggled successfully
- 401: Unauthorized
- 404: Conversation not found

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
